Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.app.analyst.csv
Class AnalystEvaluateRawCSV

    java.lang.Object
      org.encog.app.analyst.csv.basic.BasicFile
          org.encog.app.analyst.csv.AnalystEvaluateRawCSV

All Implemented Interfaces:
  QuantTask

    public class AnalystEvaluateRawCSV

extends BasicFile

Used by the analyst to evaluate a CSV file.

Field Summary

Fields inherited from class org.encog.app.analyst.csv.basic.BasicFile
`REPORT_INTERVAL`

Constructor Summary
`AnalystEvaluateRawCSV()`

Method Summary
`void` | `analyze(EncogAnalyst theAnalyst, File inputFile, boolean headers, CSVFormat format)` Analyze the data.
`void` | `process(File outputFile, MLRegression method)` Process the file.

Methods inherited from class org.encog.app.analyst.csv.basic.BasicFile
`appendSeparator, getColumnCount, getFormat, getInputFilename, getInputHeadings, getPrecision, getRecordCount, getReport, getReportInterval, getScript, isAnalyzed, isExpectInputHeaders, isProduceOutputHeaders, performBasicCounts, prepareOutputFile, readHeaders, reportDone, reportDone, requestStop, resetStatus, setAnalyzed, setColumnCount, setExpectInputHeaders, setInputFilename, setInputFormat, setInputHeadings, setPrecision, setProduceOutputHeaders, setRecordCount, setReport, setReportInterval, setScript, shouldStop, toString, updateStatus, updateStatus, validateAnalyzed, writeRow`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnalystEvaluateRawCSV

    public AnalystEvaluateRawCSV()

Method Detail

### analyze

    public final void analyze(EncogAnalyst theAnalyst,
                              File inputFile,
                              boolean headers,
                              CSVFormat format)

  Analyze the data. This counts the records and prepares the data to be processed.

  Parameters:
    `theAnalyst` - The analyst to use.
    `inputFile` - The input file.
    `headers` - True if headers are present.
    `format` - The format the file is in.

### process

    public final void process(File outputFile,
                              MLRegression method)

  Process the file.

  Parameters:
    `outputFile` - The output file.
    `method` - The method to use.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.